Chapters:
1: Introduction
2: Simple example
3: Invocation
4: Finer Control
5: X-Y Plots
6: Contour Plots
7: Image Plots
8: Examples
9: Gri Commands
10: Programming
11: Environment
12: Emacs Mode
13: History
14: Installation
15: Gri Bugs
16: Test Suite
17: Gri in Press
18: Acknowledgments
19: License
Indices:
Concepts
Commands
Variables

### 12.4.4: Variable (and synonym) completion

It's also possible to do ``M-tab`' completion on gri builtin variable and synonym names while editing a command. Simply type in the leading ``.`' (dot) or ``\`' (slash) character and invoke completion with ``M-tab`'.

For example,

    ..x`M-tab'

displays a completions buffer listing the possible completions:

    ..xmargin..                        ..xsize..
    ..xleft..                          ..xright..
    ..xlast..

Typing in an extra ``m`' will complete to ``..xmargin..`' and the following help information will be displayed in the minibuffer:

    margin to left of axis area. Default is 6 cm.